DOCS

Ordernummers

Ordernummers

Leer hoe het Order numbers endpoint works.

Het orderNumbers-endpoint wordt gebruikt om veilig een lijst met ordernummers op te halen die via Zonos Checkout zijn voltooid. Het wordt normaal gebruikt voor orderreconciliatie om te controleren of alle orders zijn geïmporteerd vanaf een datum of orderID, evenals orders binnen een datumbereik.

Endpoint 

POST | https://api.iglobalstores.com/v1/orderNumbers

HTTPS-request

FieldNotes
HTTP methodPOST
Endpointhttps://api.iglobalstores.com/v1/orderNumbers
ProtocolHTTPS
Message formatJSON
Accept HTTP headerAccept: application/json
Content-Type HTTP headerContent-Type: application/json

JSON key/value in the request body

Message format: JSON

1{
2 "store": "999",
3 "secret": "f5bde245-f55e-414d-b722-80b25161c12c",
4 "sinceOrderId": "999-99999"
5}

Request JSON-definities

fieldnotes
missingMerchantOrderId OPTIONAL, if passing another parameter optionThis parameter is used to query a set or orders within the last two weeks that are missing the merchantOrderId. When the merchantOrderId is submitted via the updateMerchantOrderID API endpoint, orders will no longer show up in this query.boolean: true/false
secret REQUIREDAPI secret GUID provided by Zonos. string
sinceDate OPTIONAL, if passing sinceOrderId parameter.This parameter is used to query a set of orders after a particular date.sinceDate and sinceOrderId cannot both be sent.string - date UTC/GMT; format: yyyymmdd
sinceOrderId OPTIONAL, if passing sinceDate / throughDate parameterThe Zonos order ID, can be passed with or without your store ID and hyphen (Example: 123-45678 or 45678).Note: This parameter will be used to query a set of orders after a particular Zonos order. sinceDate and sinceOrderId cannot both be sent.integer / string
statuses OPTIONALThis parameter is used to include the current order status and merchantOrderId in the response. If it is present on the request, regardless of the value, it will include the statuses.boolean: true
store REQUIREDStore ID provided by Zonos.integer
throughDate OPTIONALThis parameter is used to query a set of orders between a particular date range.Must be passed along with sinceDate parameter.string - date UTC/GMT; format: yyyymmdd

HTTPS-response

Message format: JSON

1{
2 "totalCount": 6,
3 "orderCount": 5,
4 "testOrderCount": 1,
5 "orders": [
6 {
7 "testOrder": false,
8 "id": "999-99991",
9 "timestamp": "2015-01-01 00:33:14.0"
10 },
11 {
12 "testOrder": true,
13 "id": "999-99992",
14 "timestamp": "2015-01-01 05:12:46.0"
15 },
16 {
17 "testOrder": false,
18 "id": "999-99993",
19 "timestamp": "2015-01-01 14:50:54.0"
20 },
21 {
22 "testOrder": false,
23 "id": "999-99994",
24 "timestamp": "2015-01-02 20:14:01.0"
25 },
26 {
27 "testOrder": false,
28 "id": "999-99995",
29 "timestamp": "2015-01-02 20:57:47.0"
30 },
31 {
32 "testOrder": false,
33 "id": "999-99996",
34 "timestamp": "2015-01-02 22:11:40.0"
35 }
36 ]
37}

Error HTTP-responses

ErrorMeaning
406 - Not AcceptableHTML Entity. HTTP “Accept” header is invalid.
415 - Unsupported media typeHTML Entity. HTTP “Content-Type” header is invalid.
200“error”:”could not parse input”
200“error”:”orderId: 999-99999 is not a valid orderId”
200“error”:”Parameter orderId or referenceId is required.”
200“error”:”Cannot specify both Parameters orderId and referenceId.”
200“error”:”Could not process order details.”
200“error”:”Invalid security credentials”

Response JSON-definities

fieldnotes
errorThis parameter will only be present in the response when an error has occurred and will contain a description of the cause.string
orderCountThe total count of live orders retrieved.integer
order.testOrderCountThe total count of test orders retrieved.integer
ordersA list of order maps.string
orders[index].idThe full Zonos Order Id including store id and dash.string
orders[index].merchantOrderIdMerchantOrderId associated with the order through the updateMerchantOrderId API service endpoint.string
orders[index].orderStatusThe current order status for possible values.string
orders[index].orderStatusDateThe epoch representing when the status was last updated.integer
orders[index].orderStatusDateStringThe timestamp representing when the status was last updated in UTC/GMT.timestamp
orders[index].testOrderIndicates if the order was a “test order” or “live order”.boolean
orders[index].timestampThe timestamp representing when the order was placed in UTC/GMT.timestamp
totalCountThe total count of both live and test orders retrieved.integer
Boek een demo

Was deze pagina nuttig?


Op deze pagina: